SDL_DispatchGPUCompute(3)

NAME
SDL_DispatchGPUCompute - Dispatches compute work.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_DispatchGPUCompute(
    SDL_GPUComputePass *compute_pass,
    Uint32 groupcount_x,
    Uint32 groupcount_y,
    Uint32 groupcount_z);

DESCRIPTION
You must not call this function before binding a compute pipeline.

A VERY IMPORTANT NOTE If you dispatch multiple times in a compute pass, and the dispatches write to the same resource region as each other, there is no guarantee of which order the writes will occur. If the write order matters, you MUST end the compute pass and begin another one.

FUNCTION PARAMETERS

compute_pass
    a compute pass handle.

groupcount_x
    number of local workgroups to dispatch in the X dimension.

groupcount_y
    number of local workgroups to dispatch in the Y dimension.

groupcount_z
    number of local workgroups to dispatch in the Z dimension.

AVAILABILITY
This function is available since SDL 3.2.0.